(Untitled)

Replication Conflict Viewer Help

The Replication Conflict Viewer helps you view and resolve conflicts that occurred during the merge replication process. Conflicts occur when the same data is altered simultaneously at two separate locations, for example, at a Publisher and Subscriber, or at two different Subscribers. These two conflicts can occur:

  • Update and insert conflicts, where the same data is changed at two locations. One change "wins" while the other one "loses."
  • Delete conflicts, where the same row is deleted at one location and changed at the other.

These conflicts are resolved based upon the priority set when the subscription was created, or the user-created resolution procedures. The Replication Conflict Viewer allows you to review the manner in which these conflicts have been resolved and make changes to these resolutions.

This table shows the options and their functions that are available in the Replication Conflict Viewer dialog box.

Note

The specific options that appear depend on the type of conflict that has occurred. Not all options appear in all dialog boxes. Dates are displayed in ISO datetime format instead of the local format.

Use this | To do this
Reason for conflict | View the specific reason for the conflict that occurred and the way in which the conflict was resolved.
Show only columns with conflicts | Display the GUID (unique identifier) column and only the columns that have conflicts.
Show all columns | Display all the columns in the row.
Keep existing data | Accept the current resolution of the conflict.
Keep revised data | Accept the current resolution of the conflict, but include the revisions made in the edit boxes.
Keep data deleted | Accept the current resolution of the conflict; data will remain deleted.
Ignore conflict | Mark the conflict as resolved without making any changes. This results in a discrepancy and should be resolved through other means as soon as possible.
Overwrite with conflicting data | Overturn the way the conflict was resolved and keep the conflicting data shown.
Overwrite with existing data | Overturn the way the conflict was resolved and keep the existing data shown.
Overwrite with revised data | Overturn the way the conflict was resolved with the revisions made in the edit boxes and keep the revised data shown.
Delete data | Delete the data shown in the columns.
Log the details of this conflict for later reference | Make a copy of the conflict and store it in a separate log file for later use. The file is stored in Windows directory\profiles\user\Application Data\Microsoft\Database Replication\UnresolvedConflicts.log.


(Untitled)

Replication Conflict Viewer Help

The Replication Conflict Viewer helps you view and resolve conflicts that occurred during the merge replication process. Conflicts occur when the same data is altered simultaneously at two separate locations, for example, at a Publisher and Subscriber, or at two different Subscribers. Conflicts can also occur when data changes made at one location violate constraints at another location (known as a divergent conflict). After a divergent conflict has occurred, the data at the two locations are no longer identical until the conflict is resolved.

These conflicts are resolved based upon the priority set when the subscription was created, or the user-created resolution procedures. The Replication Conflict Viewer allows you to review the manner in which these conflicts have been resolved and make changes to these resolutions.

If you choose to ignore a divergent conflict, you should resolve the underlying conflict between data constraints as soon as possible. Start by logging the details of this conflict and then sending the log entry to your system administrator. Then examine the constraints on your data at each location to make sure they are consistent across sites.

This table shows the options and their functions that are available in the Replication Conflict Viewer dialog box.

Note

The specific options that appear depend on the type of conflict that has occurred. Not all options appear in all dialog boxes. Dates are displayed in ISO datetime format instead of the local format.

Use this | To do this
Reason for conflict | View the specific reason for the conflict that occurred and the way in which the conflict was resolved.
Show only columns with conflicts | Display the GUID (unique identifier) column and only the columns that have conflicts.
Show all columns | Display all the columns in the row.
Keep existing data | Accept the current resolution of the conflict.
Keep revised data | Accept the current resolution of the conflict, but include the revisions made in the edit boxes.
Keep data deleted | Accept the current resolution of the conflict; data will remain deleted.
Ignore conflict | Mark the conflict as resolved without making any changes. This results in a discrepancy and should be resolved through other means as soon as possible.
Overwrite with conflicting data | Overturn the way the conflict was resolved and keep the conflicting data shown.
Overwrite with existing data | Overturn the way the conflict was resolved and keep the existing data shown.
Overwrite with revised data | Overturn the way the conflict was resolved with the revisions made in the edit boxes and keep the revised data shown.
Delete data | Delete the data shown in the columns.
Log the details of this conflict for later reference | Make a copy of the conflict and store it in a separate log file for later use. The file is stored in Windows directory\profiles\user\Application Data\Microsoft\Database Replication\UnresolvedConflicts.log.


(Untitled)

Replication Conflict Viewer Help

The Replication Conflict Viewer helps you view and resolve conflicts that occurred during the merge replication process. Conflicts occur when the same data is altered simultaneously at two separate locations. These two conflicts can occur:

  • Update and insert conflicts, where the same data is changed at two locations. One change "wins" while the other one "loses." For these conflicts, you have the option to keep the existing data (the data that won) or overwrite the existing data with the data that conflicted with it (the losing data). If you keep the existing data, it remains in the replica that won and the Microsoft Replication Conflict Viewer adds it to the replica whose update or insert operation initially lost. If you overwrite the existing data with the conflicting data, the replicas are changed to include the data that originally lost.
  • Delete conflicts, where the same row is deleted at one location and changed at the other.

The Replication Conflict Viewer allows you to review the manner in which these conflicts have been resolved and make changes to these resolutions.

This table shows the options and their functions that are available in the Replication Conflict Viewer dialog box.

Note

The specific options that appear depend on the type of conflict that has occurred. Not all options appear in all dialog boxes. Dates are displayed in ISO datetime format instead of the local format.

Use this | To do this
Reason for conflict | View the specific reason for the conflict that occurred and the way in which the conflict was resolved.
Show only fields with conflicts | Display the GUID (unique identifier) column and only the fields that have conflicts.
Show all fields | Display all the fields in the record.
Keep existing data | Accept the current resolution of the conflict.
Keep revised data | Accept the current resolution of the conflict, but include the revisions made in the edit boxes.
Keep data deleted | Accept the current resolution of the conflict; data will remain deleted.
Ignore conflict | Mark the conflict as resolved without making any changes. This results in a discrepancy and should be resolved through other means as soon as possible.
Overwrite with conflicting data | Overturn the way the conflict was resolved and keep the conflicting data shown.
Overwrite with existing data | Overturn the way the conflict was resolved and keep the existing data shown.
Overwrite with revised data | Overturn the way the conflict was resolved with the revisions made in the edit boxes and keep the revised data shown.
Delete data | Delete the data shown in the fields.
Log the details of this conflict for later reference | Make a copy of the conflict and store it in a separate log file for later use. The file is stored in Windows directory\profiles\user\Application Data\Microsoft\Database Replication\UnresolvedConflicts.log.


(Untitled)

Replication Conflict Viewer Help

The Replication Conflict Viewer helps you view and resolve conflicts that occurred during the merge replication process. Conflicts occur when the same data is altered simultaneously at two separate locations. Conflicts can also occur when data changes made at one location violate validation rules at another location (known as a divergent conflict). After a divergent conflict has occurred, the data at the two locations are no longer identical until the conflict is resolved.

These conflicts are resolved based upon the priority set when the replica was created, or the user-created resolution procedures. The Replication Conflict Viewer allows you to review the manner in which these conflicts have been resolved and make changes to these resolutions.

If you choose to ignore this conflict, you should resolve it through other means as soon as possible. Start by logging the details of this conflict and then sending the log entry to your system administrator. Then examine the constraints on your data at each location to make sure they are consistent across sites.

This table shows the options and their functions that are available in the Replication Conflict Viewer dialog box.

Note

The specific options that appear depend on the type of conflict that has occurred. Not all options appear in all dialog boxes. Dates are displayed in ISO datetime format instead of the local format.

Use this | To do this
Reason for conflict | View the specific reason for the conflict that occurred and the way in which the conflict was resolved.
Show only fields with conflicts | Display the GUID (unique identifier) column and only the fields that have conflicts.
Show all fields | Display all the fields in the record.
Keep existing data | Accept the current resolution of the conflict.
Keep revised data | Accept the current resolution of the conflict, but include the revisions made in the edit boxes.
Keep data deleted | Accept the current resolution of the conflict; data will remain deleted.
Ignore conflict | Mark the conflict as resolved without making any changes. This results in a discrepancy and should be resolved through other means as soon as possible.
Overwrite with conflicting data | Overturn the way the conflict was resolved and keep the conflicting data shown.
Overwrite with existing data | Overturn the way the conflict was resolved and keep the existing data shown.
Overwrite with revised data | Overturn the way the conflict was resolved with the revisions made in the edit boxes and keep the revised data shown.
Delete data | Delete the data shown in the fields.
Log the details of this conflict for later reference | Make a copy of the conflict and store it in a separate log file for later use. The file is stored in Windows directory\profiles\user\Application Data\Microsoft\Database Replication\UnresolvedConflicts.log.